catch {
  if {![file exists $argv0]} {
    foreach path [split $::env(PATH) :] { 
# puts "CHECK: $path [file exists $path/$argv0]"
      if {[file exists $path/$argv0]} {
        set argv0 $path/$argv0
	break;
      }
    }
  }
#  puts ARGV-$argv; flush stdout
  if {![file exists $argv0] && [file exists $argv0.exe]} {
    append argv0 .exe
  }
#     puts ARGV0:$argv0; flush stdout
    set fp [open $argv0 r]
    fconfigure $fp -translation binary -encoding binary
    if {[catch {parsePE32::accessFile $argv0}]} {
#  puts "NOT MSDOS: $::errorInfo"; flush stdout
      seek $fp -12 end
    } else {
      set sectors [parsePE32::getSectorOffset $argv0]
  #puts "SECTORS: $sectors"
      if {[dict get $sectors Certificate VirtualAddress] == 0} {
        seek $fp -12 end
      } else {
        set off [dict get $sectors Certificate VirtualAddress]
        seek $fp [expr $off - 256]
        set d [read $fp 256]
        set p [string first "TCLF" $d]
      
        seek $fp [expr $off - 256 + $p]
      }
    }
    set id [read $fp 4]
    if {$id eq {TCLF}} {
#  puts "SEE TCLF"
      set len [read $fp 8]
      binary scan $len w plen
      set curLoc [tell $fp]
      set newOff [expr {($curLoc - $plen-12)}]
      seek $fp $newOff
#     puts "TELL2: [tell $fp] - SIZ: [file size $argv0] FROM $newOff"
      set edir [read $fp $plen ]
      set FSdir [obs_expand $edir]
# puts $FSdir
    } else {
      puts {No TCLF Marker}
    }
    set ::errorInfo mt-err
#  puts ERR:-$::errorInfo
    foreach fl {/simpleFS.tcl /simpleVFS.tcl /tclvfs/library/vfsUtils.tcl} {
      lassign [dict get $FSdir $fl] type offset size
# puts FL:$fl--$type--$offset--$size
      seek $fp $offset
      if {[catch {set d [obs_expand [read $fp $size]]}]} {puts EXP-$::errorInfo}
# puts EXPAND-[string range $d 0 20]
# lappend ::working $fl
      if {[catch {eval $d}]} {puts EVAL-$::errorInfo}
    }
    close $fp
    set ::simpleFS [vfs::simplefs::Mount $argv0 simpliskit]
    set auto_path [list simpliskit simpliskit/tcl/library simpliskit/tk/library simpliskit/tk simpliskit/tcl]
    set ::tcl_library simpliskit/tcl/library
    set ::tk_library simpliskit/tk/library
    set ::simpleBase [lsearch -inline [vfs::filesystem info]]
#    ::tcl::tm::path add [lsearch -inline [vfs::filesystem info]]/tcl/library
#    tcl::tm::path add $::simpleBase/tcl/library
#    tcl::tm::path add END-Of-Stuff
#   puts KIT-[glob simpliskit/*]
#   puts DONE_EVAL
} xx
# lappend ::working $errorInfo
# puts "XX: $xx ERR: $::errorInfo"

